Issue 122284 - Russian (ru) translation for OpenOffice 4.x
Russian (ru) translation for OpenOffice 4.x
Status: CLOSED FIXED
Product: Native-Lang
Classification: NLC
Component: ru
4.0.0-dev
All All
: P3 normal
: 4.0.0
Assigned To: jsc
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 20:05 UTC by bormant
Modified: 2013-12-09 16:11 UTC (History)
2 users (show)

See Also:
Issue Type: FEATURE
Latest Confirmation on: ---
Developer Difficulty: ---
jsc: 4.0.0_release_blocker+


Attachments
Apache OpenOffice 4.x Russian, r513 (989.56 KB, application/zip)
2013-05-10 20:06 UTC, bormant
no flags Details
Apache OpenOffice 4.x Russian, r514 (966.13 KB, application/zip)
2013-05-26 12:44 UTC, bormant
no flags Details
Apache OpenOffice 4.x, Russian UI, rev. 554 (990.35 KB, application/zip)
2013-07-01 06:38 UTC, bormant
no flags Details
Apache OpenOffice 4.x, Russian UI, rev. 555 (990.35 KB, application/zip)
2013-07-01 08:42 UTC, bormant
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description bormant 2013-05-10 20:05:22 UTC
Russian (ru) translation for Apache OpenOffice 4.x UI:
http://people.apache.org/~jsc/translation/aoo40_ui_ru_po-files.zip

Latest version available in svn repository:
https://svn.code.sf.net/p/oooru/code/aoru/trunk/
Comment 1 bormant 2013-05-10 20:06:48 UTC
Created attachment 80667 [details]
Apache OpenOffice 4.x Russian, 1
Comment 2 Andrea Pescetti 2013-05-11 14:01:04 UTC
Thank you! When you have help files ready too, please attach them to this issue.
Comment 3 bormant 2013-05-26 12:44:44 UTC
Created attachment 80729 [details]
Apache OpenOffice 4.x Russian, 3

Russian (ru) translation for Apache OpenOffice 4.x UI
http://people.apache.org/~jsc/translation/aoo40_ui_ru_po-files.zip
updated on 22.05.2013.
Latest version available in svn repository:
https://svn.code.sf.net/p/oooru/code/aoru/trunk/
Comment 4 jsc 2013-05-28 10:04:28 UTC
Pootle is updated with the new strings. help is still missing some words, is that correct?
Comment 5 bormant 2013-05-29 12:49:01 UTC
jsc> help is still missing some words, is that correct?

If /tmp/aoo40help-ru.zip downloaded from pootle https://translate.apache.org/ru/aoo40help/, help checked out from svn https://svn.code.sf.net/p/oooru/code/aoru/trunk/help/, then diff doesn't see any difference.
$ unzip /tmp/aoo40help-ru.zip
$ diff -ruN helpcontent2/source/text help
$

Some strings are still untranslated/fuzzy, "pocount help" says:
type              strings      words (source)    words (translation)
translated:   44348 ( 97%)     425513 ( 96%)          361951
fuzzy:          625 (  1%)       7940 (  1%)             n/a
untranslated:   497 (  1%)       5520 (  1%)             n/a
Total:        45470            438973                 361951
Comment 6 jsc 2013-05-29 12:59:00 UTC
I think I have merged your files with the latest templates and updated Pootle. On Pootle I see that 13460 words needs attention. 

5520 untranslated
7940 needs review

And Regina's help file is not yet merged in the help sources. I haven't found time to do that
Comment 7 SVN Robot 2013-06-05 06:05:25 UTC
"jsc" committed SVN 0 into trunk:
#122284# update AOO4.0 translation for Russian (es)
Comment 8 Andrea Pescetti 2013-06-29 11:17:03 UTC
Russian has just one word left to translate in Pootle, and 1193 words needing review. The translation is complete and it will be very likely be released, but it's important that a native speaker has a quick look at the Pootle strings to accept the strings needing review, so that Pootle does not complain about an "incomplete" translation.

Suggesting as release blocker since the translation is complete.
Comment 9 bormant 2013-07-01 06:38:11 UTC
Created attachment 80963 [details]
Apache OpenOffice 4.x, Russian UI, rev. 554

Russian (ru) translation for Apache OpenOffice 4.x UI
Latest version available in svn repository:
https://svn.code.sf.net/p/oooru/code/aoru/trunk/

TOTAL:
type              strings      words (source)    words (translation)
translated:   27492 (100%)      90186 (100%)           79971
fuzzy:            0 (  0%)          0 (  0%)             n/a
untranslated:     0 (  0%)          0 (  0%)             n/a
Total:        27492             90186                  79971

File count:     227
Comment 10 jsc 2013-07-01 06:43:43 UTC
set showstopper flag
Comment 11 bormant 2013-07-01 08:42:49 UTC
Created attachment 80964 [details]
Apache OpenOffice 4.x, Russian UI, rev. 555

Fixed main menu shortcut for 

#: DrawImpressCommands.xcu#..DrawImpressCommands.UserInterface.Popups..uno_SlideShowMenu.Label.value.text
msgid "Slide Show"
Comment 12 jsc 2013-07-01 09:32:03 UTC
Pootle updated, UI is complete now, thanks. Will be merged in svn next
Comment 13 SVN Robot 2013-07-02 15:37:39 UTC
"jsc" committed SVN 0 into trunk:
#122284# update the latest translation for AOO 4.0 for Russian (ru)
Comment 14 jsc 2013-07-05 05:58:52 UTC
fixed on trunk and part of the snapshot based 1499347
Comment 15 jsc 2013-07-05 05:59:06 UTC
fixed
Comment 16 jsc 2013-12-09 16:11:12 UTC
close